MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024877Open CASCADE[OCCT] OCCT:Codingpublic2014-04-28 17:072014-09-11 12:00
Reporterabv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.7.1 
Target Version[OCCT] 6.7.1Fixed in Version[OCCT] 6.7.1 
Summary0024877: GCC 4.4.5 compiler warnings on Debian when OCCT is bult using CMake
DescriptionWhen building with makefiles generated by CMake on Debian 6.0 64-bit with GCC 4.4.5, the following additional compiler warnings are reported:

/users/abv/occt671/src/Adaptor3d/Adaptor3d_CurveOnSurface.cxx: In function void FindBounds(const TColStd_Array1OfReal&, Standard_Real, Standard_Real, Standard_Integer&, Standard_Integer&, Standard_Boolean&):
/users/abv/occt671/src/Adaptor3d/Adaptor3d_CurveOnSurface.cxx:197: warning: N may be used uninitialized in this function
/users/abv/occt671/src/Adaptor3d/Adaptor3d_CurveOnSurface.cxx: In function void Locate2Coord(Standard_Integer, const gp_Pnt2d&, const gp_Vec2d&, const Handle_Geom_BSplineSurface&, const TColStd_Array1OfReal&, gp_Pnt2d&, gp_Pnt2d&):
/users/abv/occt671/src/Adaptor3d/Adaptor3d_CurveOnSurface.cxx:615: warning: N may be used uninitialized in this function
/users/abv/occt671/src/ShapeConstruct/ShapeConstruct_ProjectCurveOnSurface.cxx: In member function Standard_Boolean ShapeConstruct_ProjectCurveOnSurface::IsAnIsoparametric(Standard_Integer, const TColgp_Array1OfPnt&, const TColStd_Array1OfReal&, Standard_Boolean&, Standard_Boolean&, gp_Pnt2d&, Standard_Boolean&, gp_Pnt2d&, Standard_Boolean&, Handle_Geom_Curve&, Standard_Real&, Standard_Real&, TColStd_Array1OfReal&) const:
/users/abv/occt671/src/ShapeConstruct/ShapeConstruct_ProjectCurveOnSurface.cxx:1382: warning: tp[1] may be used uninitialized in this function
/users/abv/occt671/src/ShapeConstruct/ShapeConstruct_ProjectCurveOnSurface.cxx:1382: warning: tp[0] may be used uninitialized in this function
/users/abv/occt671/adm/cmake/TKOpenGl/../../../inc/OpenGl_Workspace.hxx: In constructor OpenGl_Workspace::OpenGl_Workspace(const Handle_OpenGl_Display&, const CALL_DEF_WINDOW&, void*, const Handle_OpenGl_Caps&, const Handle_OpenGl_Context&):
/users/abv/occt671/adm/cmake/TKOpenGl/../../../inc/OpenGl_Workspace.hxx:455: warning: OpenGl_Workspace::PolygonOffset_applied will be initialized after
/users/abv/occt671/adm/cmake/TKOpenGl/../../../inc/OpenGl_Workspace.hxx:453: warning: OpenGl_Matrix OpenGl_Workspace::myModelViewMatrix
/users/abv/occt671/src/OpenGl/OpenGl_Workspace.cxx:139: warning: when initialized here
/users/abv/occt671/src/MeshVS/MeshVS_Mesh.cxx: In member function virtual void MeshVS_Mesh::ComputeSelection(const Handle_SelectMgr_Selection&, Standard_Integer):
/users/abv/occt671/src/MeshVS/MeshVS_Mesh.cxx:313: warning: min[2] may be used uninitialized in this function
/users/abv/occt671/src/MeshVS/MeshVS_Mesh.cxx:313: warning: min[1] may be used uninitialized in this function
/users/abv/occt671/src/MeshVS/MeshVS_Mesh.cxx:313: warning: min[0] may be used uninitialized in this function
/users/abv/occt671/src/MeshVS/MeshVS_Mesh.cxx:313: warning: max[2] may be used uninitialized in this function
/users/abv/occt671/src/MeshVS/MeshVS_Mesh.cxx:313: warning: max[1] may be used uninitialized in this function
/users/abv/occt671/src/MeshVS/MeshVS_Mesh.cxx:313: warning: max[0] may be used uninitialized in this function
/users/abv/occt671/src/ViewerTest/ViewerTest_ViewerCommands.cxx: In function int ViewerMainLoop(Standard_Integer, const char**):
/users/abv/occt671/src/ViewerTest/ViewerTest_ViewerCommands.cxx:2160: warning: comparison between signed and unsigned integer expressions
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0029121)
abv (manager)
2014-04-29 11:49

Fix pushed to CR24877, please review
(0029122)
kgv (developer)
2014-04-29 11:51

Patch looks OK.
(0029232)
mkv (tester)
2014-05-07 17:18

Dear BugMaster,

Branch CR24877 (and products from GIT master) was compiled on Linux and Windows platforms and tested.
SHA-1: 85b7ff91a10e08161af378d3d611f5c127716996

Number of compiler warnings:

occt component :
Linux: 17 (18 on master)
Windows: 0 (0 on master)

products component :
Linux: 12 (12 on master)
Windows: 2 (2 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 353128116 / 353522588
Total CPU difference: 58763.439999999726 / 53011.819999999796

Testing on Windows:
Total MEMORY difference: 379495680 / 379829796
Total CPU difference: 35744.90625 / 36615.125

There are no differences in images found by testdiff.

- Related Changesets
occt: master eb1ebea4
Timestamp: 2014-04-28 13:12:27
Author: abv
Committer: bugmaster
Details ] Diff ]
0024877: GCC 4.4.5 compiler warnings on Debian when OCCT is bult using CMake

Warnings fixed
mod - src/Adaptor3d/Adaptor3d_CurveOnSurface.cxx Diff ] File ]
mod - src/MeshVS/MeshVS_Mesh.cxx Diff ] File ]
mod - src/ShapeConstruct/ShapeConstruct_ProjectCurveOnSurface.cxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_ViewerCommands.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-04-28 17:07 abv New Issue
2014-04-28 17:07 abv Assigned To => kgv
2014-04-29 11:49 abv Note Added: 0029121
2014-04-29 11:49 abv Status new => resolved
2014-04-29 11:50 abv Target Version => 6.7.1
2014-04-29 11:51 kgv Note Added: 0029122
2014-04-29 11:51 kgv Assigned To kgv => bugmaster
2014-04-29 11:51 kgv Status resolved => reviewed
2014-04-29 15:06 mkv Assigned To bugmaster => mkv
2014-05-07 17:18 mkv Note Added: 0029232
2014-05-07 17:18 mkv Test case number => Not needed
2014-05-07 17:18 mkv Assigned To mkv => bugmaster
2014-05-07 17:18 mkv Status reviewed => tested
2014-05-12 16:20 bugmaster Changeset attached => occt master eb1ebea4
2014-05-12 16:20 bugmaster Status tested => verified
2014-05-12 16:20 bugmaster Resolution open => fixed
2014-09-11 11:02 bugmaster Target Version 6.7.1 => 6.8.0
2014-09-11 11:04 bugmaster Status verified => closed
2014-09-11 11:04 bugmaster Fixed in Version => 6.7.1
2014-09-11 12:00 bugmaster Target Version 6.8.0 => 6.7.1


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker